/********************************************************************/
/*                                                                  */
/* Licensed Materials - Property of IBM                             */
/*                                                                  */
/* US Government Users Restricted Rights - Use, duplication or      */
/* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.*/
/*                                                                  */
/* OCO Source Materials                                             */
/*                                                                  */
/* IBM IMS TCP/IP OTMA Connection, Version 2, Release 1             */
/* (C) Copyright IBM Corp. 1997, 1998.  All Rights Reserved.        */
/*                                                                  */
/* The source code for this program is not published or otherwise   */
/* divested of its trade secrets, irrespective of what has been     */
/* deposited with the U.S. Copyright Office.                        */
/*                                                                  */
/********************************************************************/

/**********************************************************************/
/*                                                                    */
/* 05/13/98  JEH  PTM231  Document OTMA error code 34.                */
/*                                                                    */
/* 07/14/98  JEH  PTM2690 Enhance wording of 2600 and 2601.           */
/*                                                                    */
/**********************************************************************/
#ifndef HWSEOTME_H
#define HWSEOTME_H

/******************************************************************/
/* OTMAMsg Component External Error Definition                    */
/* 2600 - 2649                                                    */
/******************************************************************/

/*--------------------------------------------------------------------*/
/* IMSClient class external error messages mapped from OTMAMSG        */
/* external error messages:                                           */
/*--------------------------------------------------------------------*/
#define HWSC_OTME_HHERROR        2600
#define HWSC_OTME_HHERROR_S      "IMS TCP/IP OTMA Connection returned error : "
// Explanation:  The IMS TCP/IP OTMA Connection returned the indicated error.
// User Action:  The error indicated in the IMS Web message is usually presented in the Service Code
//               field of a corresponding message displayed on the system console of the ITOC machine.
//               Refer to the IMS TCP/IP OTMA Connection Messages and Codes for the displayed Service Code.
//               For example, if you provide an invalid datastore name to the IMS Web Studio tool,
//               message HWSS0742W is displayed on the system console and the NFNDDST Service code is
//               presented in the IMS Web message.

#define HWSC_OTME_HOERROR        2601
#define HWSC_OTME_HOERROR_S      "IMS/OTMA returned sense code: "
// Explanation:  IMS OTMA has returned the indicated sense code.
// User Action:  Refer to the "OTMA Sense Codes for NAK Messages" under "OTMA Diagnostic Information"
//               in the IMS/ESA V6 OTMA Guide and Reference for the displayed sense code.
#endif
